### Property

# Ide PipelineStage:completed

#### Declaration

    property completed: gboolean [ read, write ]

#### Description

The “completed” property is set to `TRUE` after the pipeline has completed processing the stage. When the pipeline invalidates phases, completed may be reset to `FALSE`.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_pipeline_stage_set_completed()`
Getter method | `ide_pipeline_stage_get_completed()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no